/**     
    *@file : sae.c
    *@author : Erwan.M
    *@date : 07/11/22
    * sujet : SAE 1.01 
    *@brief : Résumé : Fichier .c regroupant les fonctions du programme
*/

#include "SAE2.h"
#include <stdio.h> 
#include <stdlib.h>
#include <string.h>

void menuPrincipal(void){

    int choix;

    while(choix != 9){

        printf("-------------------------------\n");
        
        printf("\033[1;37m"); // Gras

        printf("\tMENU PRINCIPAL\t\n");

        printf("\033[0m"); // Reset couleur
    
        printf("-------------------------------\n\n");
    
        printf("(1) Utilisateur\n");
    
        printf("(2) Administrateur\n");
    
        printf("(9) Quitter\n");

        printf("\nVotre choix : ");

        scanf("%d", &choix);

        switch (choix){

            case 1:

                printf("sousMenuUtilisateur();\n"); // Sous Menu Utilisateur

                break;

            case 2:

                printf("\e[1;1H\e[2J"); // Clear terminal

                sousMenuAdministrateur(); // Sous Menu Administrateur

                break;

            case 9:

                printf("Programme réalisé par Corentin LEMAIRE et Erwan MENAGER.\n");

                exit(1);
            
            default:

                printf("\e[1;1H\e[2J"); // Clear terminal


                printf("-------------------------------\n");

                printf("\033[1;31m"); // Rouge

                printf("Erreur : Saisie incorrecte.\n\a"); // \a -> Cloche

                printf("\033[0m"); // Reset couleur

                printf("-------------------------------\n");

        }

    }

}

void sousMenuAdministrateur(void){

    int choix;

    char motDePasseAdmin[20];

    printf("Mot de passe administrateur : ");

    scanf("%*c");

    fgets(motDePasseAdmin, 20, stdin);

    motDePasseAdmin[strlen(motDePasseAdmin)-1] = '\0';

    if(strcmp("admin", motDePasseAdmin) != 0){

        printf("\e[1;1H\e[2J"); // Clear terminal

        printf("---------------------------------------------------\n");

        printf("\033[1;31m"); // Rouge

        printf("Mot de passe incorrecte. ");

        printf("\033[0m"); // Reset couleur

        printf("Retour au menu principal.\n\a"); // \a -> Cloche

        printf("---------------------------------------------------\n");

        return;

    }

    printf("\e[1;1H\e[2J"); // Clear terminal

    while(choix != 9){

        printf("-------------------------------\n");
            
        printf("\033[1;37m"); // Gras

        printf("\tMENU ADMINISTRATEUR\t\n");

        printf("\033[0m"); // Reset couleur
        
        printf("-------------------------------\n\n");

        printf("(1) Modifier le nombre de places dans un département\n");
    
        printf("(2) Créer un département dans un IUT\n");

        printf("(3) Supprimer un département d'un IUT\n");

        printf("(4) Lancer et arrêter la phase de candidature (PARTIE 2)\n");
    
        printf("(5) Modifier le nom du responsable d'un département\n");

        printf("(9) Retour\n");

        printf("\nVotre choix : ");

        scanf("%d", &choix);

        switch (choix){

            case 1:

                printf("Modifier place\n"); // 

                break;

            case 2:

                printf("Créer\n"); // 

                break;

            case 3:

                printf("Supprimer\n"); // 

                break;

            case 4:

                printf("Lancer\n"); // 

                break;

            case 5:

                printf("Modifier nom\n"); // 

                break;

            case 9:

                printf("\e[1;1H\e[2J"); // Clear terminal

                return;
            
            default:

                printf("\e[1;1H\e[2J"); // Clear terminal


                printf("-------------------------------\n");

                printf("\033[1;31m"); // Rouge

                printf("Erreur : Saisie incorrecte.\n\a"); // \a -> Cloche

                printf("\033[0m"); // Reset couleur

                printf("-------------------------------\n");

        }
    }
}

/* EN COURS
void rechercherVille(int* tiut, int tlog, int val, int *coderet, int *pos){
    int i;
    for(i=0;i<tlog;i++){
        if(tAdh[0][i]==val){
            *coderet=1;
            *pos=i;
            *idAdh=tAdh[0][i];
            *nbpts=tAdh[1][i];
            *categ=tAdh[2][i];
            return;
        }
        if(tAdh[0][i]>val){
            *pos=i;
            return;
        }
    }
    *coderet=0;
    *pos=tlog;
    return;
}*/



}